<?php
namespace Teknisa\MAN\Utilities;

use Zeedhi\Framework\Session\Session;

class Environment{

	/** @var \DateTime(); */
	protected $currentTime;
    /** @var Session */
	protected $session;

	public function __construct(Session $session) {
		$this->currentTime = new \DateTime();
		$this->session = $session;
	}

    /**
     * @return string
     */
    public function getUserId()
    {
        return 2;
    }

    public function set($param, $value) {
        $this->session->set($param, $value);
    }

    /**
     * @return string
     */
    public function getOrganizationId()
    {
        return 1;
    }
	
	public function getCurrentTime() {
		return new \DateTime();
	}

    public function getProjectId() {
        return 7;
    }
    public function getProjectUniqueId() {
        return "P7";
    }

    public function getJsonsDirectories() {
        return array(
        	realpath('../../mobile/json/containers'),
        	realpath('../../mobile/json/containers/fidelityControl'),
        	realpath('../../mobile/json/containers/integrationControl'),
        	realpath('../../mobile/json/containers/paramsControl'),
        	realpath('../../mobile/json/containers/stockControl')
        	);
    }

    public function getContainersJsonPath() {
        return realpath('../../mobile/json/containers.json');
    }
}